dagthree(1)

NAME
dagthree - Endace DAG 3.x card configuration utility

SYNOPSIS
dagthree [options]

DESCRIPTION
dagthree is used to configure and display statistics from an Endace DAG 3.x series card.

OPTIONS

-1

--1544
    Crystal is 1.544 MHz not 2.048 MHz.

-a

--porta
    Only use Port A (default uses both).

-b

--portb
    Only use Port B (default uses both).

-c COUNTERS

--counters COUNTERS
    Display statistics from programmable counters. The expression COUNTERS should be two comma-separated numbers, e.g. -c c1,c2. The programmable counters that are available depend on the type of DAG card -- see the PROGRAMMABLE COUNTERS section below for valid values.

-d DEVICE

--device DEVICE
    Use the DAG device referred to by DEVICE. Supported syntax includes 0, dag1, and /dev/dag3 to refer to DAG cards, and 0:2, dag1:1, and /dev/dag2:0 to refer to specific streams on cards.

-f

--framer
    Display E1/T1 framer statistics.

-h

-?

--help

--usage
    Display usage (help) information.

-i NUM

--interval NUM
    Repeat -s or -c at NUM second intervals.

-p

--ptest
    Production test output.

-s

--stats
    Display SONET/SDH/PHY statistics.

-S NUM

--sticky-counters NUM
    Accumulate counter statistics for NUM seconds.

-u

--sonicid
    Display SONIC user device ID.

-v

--verbose
    Increase output verbosity. Specifying this flag twice (as -v -v or -vv) will enable verbose output for the commandline option parser. This is primarily intended for debugging purposes, and can be used to verify if the parser's idea of the given commandline options is the same as yours.

-V

--version
    Display version information.

PROGRAMMABLE COUNTERS

DAG 3.5/3.8:
There are two counters. The following are valid values for the programmable counters:
0 sonet_bip1
1 sonet_bip2
2 sonet_bip3
3 atm_bad_hec
4 atm_cor_hec
5 atm_rcv_idle
6 atm_rcv_cell
7 pos_bad_crc
8 pos_min_err
9 pos_max_err
10 pos_abort
11 pos_good_frames
12 pos_bytes_rcvd

DAG 3.6D
One programmable counter per interface. c1 is for interface A and c2 is for interface B. The following are valid:
0 DS3 LoS.
2 DS3 LoF.
3 DS3 OoF.
6 PCLP LoF.
7 PCLP OoF.
8 ATM Loss of Cell Detect.
9 HEC Error.
10 Correctable HEC Error.
12 Signal Detect.
13 ATM Synchronized.
14 Idle Cells.
15 ATM Cells.

CONFIGURATION COMMANDS

DAG 3.5/3.8
atm Set framer into ATM cell receive mode.
pos Set framer into Packet-over-SONET mode.
[no]reset Hold/release framer (in) reset.
oc3c Set framer to OC3c receive mode.
oc12c Set framer to OC12c receive mode.
[no]lt0 (Un)set looptimer0. Don't touch.
[no]fcl (Un)set facility loopback. This is useful for card chaining.
[no]eql (Un)set equipment loopback. Don't touch.
[no]scramble (Un)set SONET scrambling.
master Generate SONET TX clock internally.
slave Derive SONET RX clock from RX clock.
[no]pscramble (Un)set Packet-over-SONET scrambling.
nocrc No PoS CRC checking.
crc16 PoS CRC16 checks enabled.
crc32 PoS CRC32 checks enabled.
[no]ascramble (Dis/en)able scrambling of ATM cells. Keep set.
[no]varlen (Dis/en)able variable length capture. Otherwise record length padded to slen.
slen=X Capture X bytes of the packet content (PoS only).
[en|dis]ablea Enable or disable port a for capture (3.8 only).
[en|dis]ableb Enable or disable port b for capture (3.8 only).
[no]align64 Force ERF records to 64 bit alignment (3.8 only).
mem=X:Y Set memory allocated in to stream 0,1 in MiB (3.8 only).
rxonly Assign all memory to RX stream 0 (3.8 only).
txonly Assign all memory to TX stream 1 (3.8 only).
rxtx Assign 16MB to TX stream 1, remainder to RX stream 0 (3.8 only).

DAG 3.6D
[no]reset Hold/release framer (in) reset.
[no]adm PLCP or ATM Direct Mapping (ADM) framing.
[no]fcl (Un)set facility loopback. This is useful for card chaining.
[no]eql (Un)set equipment loopback. Don't touch.
[no]afix When set correct bit ATM HEC errors.
[no]apass (Don't) receive cells with HEC errors.
[no]aidle When set pass through received idle cells.
[no]ascramble (Dis/en)able descrambling of ATM cells. Keep set.
[no]m23 (Don't) use m23 framing, otherwise c-bit framing.
[no]highgain (Don't) add 20dB extra gain to RX.

DAG 3.5E, 3.6EP, 3.6ET:
reset Reset the ethernet framers, set auto mode.
default Reset the ethernet framers, set auto mode.
auto Set autonegotiate mode, card will detect rate
10 Force 10BaseT mode, 10Mbps
100 Force 100BaseTX mode, 100Mbps.
slen=X Capture X bytes of packet content.
[en|dis]ablea Enable/disable direction A for capture.
[en|dis]ableb Enable/disable direction B for capture.

DAG 3.6GE:
Same as 3.6EP with the addition of:
1000 Force 1000BaseTx mode, 1000Mbps.

DAG 3.7T:
link=<link> Configure a specific line. <link> = [0..15].
default Set line(s) to default E1, mode 0.
e1 Set line(s) to E1.
e1_crc Set line(s) to E1 CRC.
t1_esf Set line(s) to T1 ESF.
t1_sf Set line(s) to T1 D4 SF.
t1 Set line(s) to T1 D4.
mode=<mode> Set EXAR line mode.
[no]fcl (Un)set facility loopback.
[no]eql (Un)set equipment loopback.
mem=X:Y Set memory for the receive and transmit streams. The dagthree tool can be used in either configuration or statistics mode. Any of -u, -s, or -c will trigger statistics display of the selected values. Otherwise optional configuration commands will be executed and the resulting configuration of the framer be displayed.

STATISTICS COLUMN DEFINITIONS

DAG 3.5/3.8:
los MUX loss of signal error.
bip3 Bit Interleaved Parity 3 error count.
bip2 Bit Interleaved Parity 2 error count.
bip1 Bit Interleaved Parity 1 error count.
lop Loss of Pointer Error.
oof Out of Framing error.
lof Loss of Framing error.
label SONET/SDH path label (C2) Byte.
lcd Loss of cell delineation error.
sync Loss of cell synchronization error.

DAG 3.6D:
LoS Phy Loss of Signal error.
LoF Phy Loss of Framing error.
OoF Phy Out of Framing Error.
LoF PLCP Loss of Framing Error.
OoF PLCP Out of Framing Error.
LCD ATM Loss of Cell Delineation Error.
HEC ATM Header Error Checksum Error.
Fix ATM Corrected Header Error Checksum Error.
Sig ATM Signal detect.
Syn ATM Cell Synchronization.
Idle ATM idle cell.
Cell ATM non-idle cell.

DAG 3.5E, 3.6EP, 3.6ET:
Spd Link Speed, 10 or 100 Mbps.
SD Signal Detect (100Mbps only).
Lnk Link state.
Lck PLL Lock (100Mbps only).
Neg Auto-negotiation completed (Auto mode only).
FC False Carrier Detected Error.
IS Invalid Symbol Detected Error.
HS Halt Symbol Detected Error.
PE Premature End Detected Error.
RF Remote Fault Detected Error.
JB Jabber Detected Error.

DAG 3.6GE:
Spd Link Speed, 10, 100, or 1000 Mbps.
Lnk Link state.
FD Full Duplex.
MA Link Master.
Neg Auto-negotiation completed (Auto mode only).
RF Remote Fault Detected Error.
JB Jabber Detected Error.
Err Idle Error count.

DAG 3.7T:
if Interface Number (0-15).
los LIU Loss of signal.
ais LIU Alarm Indication Signal.
lcv LIU Line code violation.
fls LIU FIFO limit status.
dmo LIU Drive monitor output.
clos LIU Cable loss (dB +/- 1dB).
rx0 Framer ever received 0.
rx1 Framer ever received 1.
tx0 Framer ever sent 0.
tx1 Framer ever sent 1.
crc Framer CRC error.
ais Framer Alarm Indication Signal.
ferr Framer error.
up Framer up.

SEE ALSO
dagfour(1), dagsix(1).

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: koryn $
$Revision: 2584 $
$Date: 2005-11-23 10:29:20 +1300 (Wed, 23 Nov 2005) $

COPYRIGHT
(c) 2004-2005 Endace Technology, Hamilton, New Zealand. All Rights Reserved.